### File

`packages/ecl/components/ecl-multiselect/ecl-multiselect-optgroup/ecl-multiselect-optgroup.component.ts`

### Description

Component representing an option group (fieldset) in a multiselect component. Used to group related options under a common label.

### Extends

`ECLBaseDirective`

### Metadata

selector | `fieldset[eclMultiselectOptgroup]`
templateUrl | `./ecl-multiselect-optgroup.component.html`

### Index

###### Methods
getCssClasses
###### Inputs
label class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

label
Type : `string`
The visible label for the option group.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Returns the computed CSS classes for the optgroup container.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Accessors

cssClasses
get `cssClasses()`
Returns the computed CSS classes for the optgroup container. Returns : `string`

# results matching ""

# No results matching ""